/* DEVICE SETTINGS */
/* ---------------------------------------- */
/* for desktop */
:root {
    --small-font: large;
    --medium-font: x-large;
    --large-font: 2rem;
    --alignment: row;
    --mobile-display: none;
    --desktop-display: block;
}

/* for mobile */
@media (max-width: 700px) {
    /* note to self: max-width is setting parameters for when to apply CSS */
    :root {
        --small-font: small;
        --medium-font: large;
        --large-font: 1.5rem;
        --alignment: column;
        --mobile-display: block;
        --desktop-display: none;
    }
}

.mobile-only {
    display: var(--mobile-display);
}

.desktop-only {
    display: var(--desktop-display);
}
/* ---------------------------------------- */

/* TEXT */
h1,
h2,
h3,
h4,
h5 {
    font-family: "Patrick Hand SC", cursive;
    margin: 0px;
    font-size: var(--large-font);
}

hr {
    height: 3px;
    border: none;
    background-color: #ffffff;
    border-radius: 10px;
}

a {
    color: #00b3ff ;
}

a:hover {
    font-weight: 700;
}

/* LISTS */
ul {
    display: var(--desktop-display);
    list-style-type: none;
    border-radius: 15px;
    text-align: center;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: rgb(255, 255, 255);
    display: flex;
    justify-content: center;
    text-align: center;
}

li {
    float: left;
}

li a {
    display: block;
    color: #081e36;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: var(--large-font);
    font-family: "Patrick Hand SC", cursive;
}

li a:hover {
    outline: #66bff0;
    outline-style: dotted;
    outline-offset: -10px;
    border-radius: 15px;
    font-weight: 400;
}

.active {
    color: #66bff0;
}

body {
    color: #081e36;
    font-family: "Nunito", sans-serif;
    font-size: var(--medium-font);
    margin: auto;
    text-align: center;
}

.page-content {
    margin: 20px;
    margin-top: 5px;

/* BOXES */
* {
    box-sizing: border-box;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
}

/* BLACK BACKGROUND BOX */
.black-box {
    position: relative;
    text-align: center;
    border-radius: 15px;
    width: 100%;
    background-color: #ffffff;
    padding: 15px;
    text-align: center;
}

.s-transparent-box {
    position: relative;
    border-radius: 15px;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.792);
    padding: 15px;
    text-align: center;
}

.footer {
    position: absolute;
    color: #081e36;
    text-align: center;
    border-radius: 0px;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 15px;
}

/* BUTTONS */
.btn {
    transition: filter 0.3s ease-in-out;
    font-weight: bold;
    padding: 10px;
    letter-spacing: 0.05em;
    text-transform: none;
    background-color: transparent;
    background: rgb(255, 255, 255);
    border: none;
    margin: 6px;
    cursor: pointer;
    border-radius: 8px;
    text-decoration: none;
}

.btn:hover {
    filter: brightness(0.5);
}

.dk-btn {
    background: rgba(255, 255, 255, 0.152);
    color: #081e36;
}

.small-btn {
    padding: 6px 11px 6px 11px;
    border-radius: 50%;
}

.smallest-btn {
    border-radius: 50%;
    padding: 5px 10px 5px 10px;
    margin: 0px;
}

/* ANIMATION */
.text-color-animation {
    background-clip: text;
    color: rgba(0, 0, 0, 0.41);
    background: linear-gradient(to right, #ff00b7, #7b00ff, #00b3ff, #0048ff);
    -webkit-background-clip: text;
    animation: color-animation 4s ease-in-out infinite;
    background-size: 400% 100%;
}

.background-color-animation {
    filter: none;
    color: transparent;
    background: linear-gradient(to right, #ff9be3, #c690ff, #6dd3ff, #6490ff);
    animation: color-animation 4s ease-in-out infinite;
    background-size: 400% 100%;
}

@keyframes color-animation {
    0%,
    100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}
